package com.ss.android.ugc.aweme.appsflyer;

import X.0Gp;
import X.C10722ka;
import X.Lnj;
import X.RVX;
import com.bytedance.bpea.cert.token.TokenCert;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.launcher.service.appsflyer.IAppsflyerApi;

public final class AppsflyerImpl implements IAppsflyerApi {
    static {
        Covode.recordClassIndex(53495);
    }

    public final void LIZIZ() {
        0Gp.LIZ(C10722ka.LIZ);
    }

    public final void LIZ() {
        RVX.LIZ(TokenCert.Companion.with("bpea-appsflyer_androidsdk_1965"));
    }

    public static IAppsflyerApi LIZJ() {
        MethodCollector.i(3222);
        IAppsflyerApi iAppsflyerApi = (IAppsflyerApi) Lnj.LIZ(IAppsflyerApi.class, false);
        if (iAppsflyerApi != null) {
            MethodCollector.o(3222);
            return iAppsflyerApi;
        }
        Object LIZIZ = Lnj.LIZIZ(IAppsflyerApi.class, false);
        if (LIZIZ != null) {
            IAppsflyerApi iAppsflyerApi2 = (IAppsflyerApi) LIZIZ;
            MethodCollector.o(3222);
            return iAppsflyerApi2;
        }
        if (Lnj.LJJJJZI == null) {
            synchronized (IAppsflyerApi.class) {
                try {
                    if (Lnj.LJJJJZI == null) {
                        Lnj.LJJJJZI = new AppsflyerImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3222);
                    throw th;
                }
            }
        }
        AppsflyerImpl appsflyerImpl = (AppsflyerImpl) Lnj.LJJJJZI;
        MethodCollector.o(3222);
        return appsflyerImpl;
    }
}
